# module QualifiedConstUtils

### Public Class Methods

names(path) click to toggle source

    # File lib/active_support/core_ext/module/qualified_const.rb, line 11
    def self.names(path)
      path.split('::')
    end

raise_if_absolute(path) click to toggle source

    # File lib/active_support/core_ext/module/qualified_const.rb, line 7
    def self.raise_if_absolute(path)
      raise NameError, "wrong constant name #$&" if path =~ %r\A::[^:]+/
    end